<?php 
	get_header();
	
	$background   = get_option( 'portfolio_header_background' );
	$filtermargin = ( $background ) ? 'header-has-background' : '';
	$title        = get_option( 'portfolio_title', 'Our Work' );
	$subtitle     = get_option( 'portfolio_subtitle', 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta.' );
?>

	<?php if( $background ) : ?>

		<header class="page-header title ebor-pad-me">
			
			<?php if( $background ) : ?>
				<div class="background-image-holder parallax-background">
					<img class="background-image" alt="Background Image" src="<?php echo esc_url( $background ); ?>">
				</div>
			<?php endif; ?>
			
			<div class="container">
				<div class="row">
					<div class="col-sm-12 text-center">
						<?php
							if( $sub ){
								echo '<span class="text-white alt-font">'. $sub .'</span>';
							}
							
							if( $title ){
								echo '<h1 class="text-white">'. $title .'</h1>';
							}
						?>
					</div>
				</div><!--end of row-->
			</div><!--end of container-->
			
		</header>

	<?php else : ?>
	
	<section class="projects-gallery dark-wrapper">
		
		<?php if( $title || $subtitle ) : ?>
		
			<div class="container">
				<div class="row">
					<div class="col-md-6 col-md-offset-3 col-sm-8 col-sm-offset-2 text-center">
						<?php
							if( $title )
								echo '<h1>'. esc_html( $title ) .'</h1>';
							
							if( $subtitle )
								echo '<div class="lead">'. wpautop( do_shortcode( $subtitle ) ) .'</div>';
						?>
					</div>
				</div>
			</div>
			
			<div class="divide60"></div>
			
		<?php endif; ?>

	<?php endif; ?>
		
		<div class="projects-wrapper clearfix header-has-background">
		
			<?php 
				if( '1' == get_option( 'portfolio_filters', '1' ) ){
					echo ebor_portfolio_filters( get_categories( 'taxonomy=portfolio_category' ) );
				}
					
				get_template_part( 'loop/loop', get_option( 'portfolio_layout', 'portfolio-fullwidth' ) ); 
			?>
			
		</div>
		
	</section>

<?php get_footer();