<?php 
	/**
	 * comments.php
	 * The comments template used in loom
	 * @author TommusRhodus
	 * @package loom
	 * @since 1.0.0
	 */
	$custom_comment_form = array( 
		'fields' => apply_filters( 'comment_form_default_fields', array(
		    'author' => '<div class="form-input"><input type="text" id="author" name="author" placeholder="' . esc_html__('Name *','pivot') . '" value="' . esc_attr( $commenter['comment_author'] ) . '" /></div>',
		    'email'  => '<div class="form-input"><input name="email" type="text" id="email" placeholder="' . esc_html__('Email *','pivot') . '" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" /></div>',
		    'url'    => '<div class="form-input"><input name="url" type="text" id="url" placeholder="' . esc_html__('Website','pivot') . '" value="' . esc_attr(  $commenter['comment_author_url'] ) . '" /></div>') 
		),
		'comment_field' => '<div class="form-input"><textarea name="comment" placeholder="' . esc_html__('Your Comment Here','pivot') . '" id="comment" aria-required="true" rows="8"></textarea></div>',
		'cancel_reply_link' => esc_html__( 'Cancel' , 'pivot' ),
		'comment_notes_before' => '',
		'comment_notes_after' => '',
		'label_submit' => esc_html__( 'Submit' , 'pivot' )
	);
?>

<div class="row">
	<div class="col-sm-12">
	
		<div class="comment-list">
			<h5><?php comments_number( esc_html__('0 Comments','pivot'), esc_html__('1 Comment','pivot'), esc_html__('% Comments','pivot') ); ?></h5>
			<?php 
				if( have_comments() ){
				  echo '<ol id="singlecomments" class="commentlist">';
				  wp_list_comments('type=comment&callback=ebor_custom_comment');
				  echo '</ol>';
				}
				paginate_comments_links(); 
			?>
		</div><!--end of comments list-->
		
		<div class="comment-form-wrapper">
			<?php 
				echo '<h5>' . get_option('comments_title','Join the conversation') . '</h5>';
				echo wpautop(get_option('comments_subtitle', 'Your email address will not be published. Required fields are marked *'));
			?>
			<div class="comment-respond"><?php comment_form($custom_comment_form); ?></div>
		</div><!--end of comment form wrapper-->
		
	</div><!--end of 8 columns-->
</div><!--end of row-->